LibreOffice: GridColumn Service Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
GridColumn Service Reference

Represents a column as used by the DefaultGridColumnModel. More...

`import <GridColumn.idl;`

Inheritance diagram for GridColumn:

## Exported Interfaces
interface | com::sun::star::awt::grid::XGridColumn
Exported Interfaces inherited from XGridColumn
interface | ::com::sun::star::lang::XComponent
| implements life time control for the component
interface | ::com::sun::star::util::XCloneable
| allows cloning the complete grid column

## Additional Inherited Members
Public Member Functions inherited from XGridColumn
void | addGridColumnListener ([in] XGridColumnListener Listener)
| Adds a listener for the GridColumnEvent posted after the grid changes.
void | removeGridColumnListener ([in] XGridColumnListener Listener)
| Removes a listener previously added with addColumnListener().
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Public Attributes inherited from XGridColumn
any | Identifier
| specifies an identifier of the column
long | ColumnWidth
| specifies the current width of the column.
long | MinWidth
| specifies the minimal width the column can have.
long | MaxWidth
| specifies the maximal width the column can have.
boolean | Resizeable
| controls whether or not the column's width is fixed or not.
long | Flexibility
| specifies the flexibility of the column when it is automatically resized due to the grid control as a whole being resized.
::com::sun::star::style::HorizontalAlignment | HorizontalAlign
| Specifies the horizontal alignment of the content in the control.
string | Title
| A title is displayed in the column header row if UnoControlGridModel::ShowColumnHeader() is set to `TRUE`
string | HelpText
| is the help text associated with the column.
long | Index
| denotes the index of the column within the grid column model it belongs to
long | DataColumnIndex
| denotes the index of the data column which should be used to fetch this grid column's data

## Detailed Description

Represents a column as used by the DefaultGridColumnModel.

Since
  OOo 3.3

## Exported Interfaces

## ◆ com::sun::star::awt::grid::XGridColumn

interface com::sun::star::awt::grid::XGridColumn

The documentation for this service was generated from the following file:

- com/sun/star/awt/grid/GridColumn.idl